Bug 1473843 - "kill -L" returns "invalid signal specification"
"kill -L" returns "invalid signal specification"
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: util-linux (Show other bugs)
7.3
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Karel Zak
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 16:31 EDT by Matt
Modified: 2017-08-01 04:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 04:42:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt 2017-07-21 16:31:23 EDT
Description of problem:
Man page says "-L, --table" is to provide a list of signal names and numbers.  Instead, it returns "invalid signal specification".  Similarly, it says "--list" should produce a list of signals, and it too throws this errors. Only lowercase -l works, despite what the man page documents.

Version-Release number of selected component (if applicable):
util-linux-2.23.2-33.el7_3.2.x86_64

How reproducible:
repeatable

Steps to Reproduce:
kill -L
kill --table
kill --list

Actual results:
"-bash: kill: -list: invalid signal specification"

Expected results:
 1) SIGHUP	 2) SIGINT	 3) SIGQUIT	 4) SIGILL	 5) SIGTRAP
 6) SIGABRT	 7) SIGBUS	 8) SIGFPE	 9) SIGKILL	10) SIGUSR1
.....

Additional info:
Comment 2 giulioo 2017-07-23 15:50:47 EDT
When using just

$ kill ..

then the bash "kill" builtin command will be used, which has limited functionality, and whose help is

$ help kill

The error message posted comes from the bash builtin "kill" command.

==============================

To use the util-linux "kill" command, the use of the complete path is required:
 
$ /usr/bin/kill -L
 1 HUP      2 INT      3 QUIT     4 ILL      5 TRAP     6 ABRT
 6 IOT      7 BUS      8 FPE      9 KILL    10 USR1    11 SEGV
12 USR2    13 PIPE    14 ALRM    15 TERM    16 STKFLT  17 CHLD
17 CLD     18 CONT    19 STOP    20 TSTP    21 TTIN    22 TTOU
23 URG     24 XCPU    25 XFSZ    26 VTALRM  27 PROF    28 WINCH
29 IO      29 POLL    30 PWR     31 UNUSED  31 SYS     34 RTMIN
64 RTMAX
$
Comment 3 Matt 2017-07-23 23:32:13 EDT
Confirmed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.